# $Revision: 1.63 $, $Date: 2005/01/07 17:16:02 $
Summary:	The GNU Scientific Library for numerical analysis
Summary(es):	Biblioteca cientfica del GNU
Summary(pl):	GNU Scientific Library do analizy numerycznej
Summary(pt_BR):	Biblioteca cientfica GNU
Summary(ru):	  GNU   
Summary(uk):	 ¦̦ GNU   ̦
Name:		gsl
Version:	1.6
Release:	1
Epoch:		1
License:	GPL
Group:		Libraries
Source0:	ftp://sources.redhat.com/pub/gsl/%{name}-%{version}.tar.gz
# Source0-md5:	2c63ab9b925a7be70a5a5b4e0a95ea03
Patch0:		%{name}-info.patch
Patch1:		%{name}-link.patch
URL:		http://www.gnu.org/software/gsl/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	libtool >= 1:1.4.2-9
BuildRequires:	texinfo
Obsoletes:	libgsl0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The gsl package includes the GNU Scientific Library (GSL). The GSL is
a collection of routines for numerical analysis, written in C. The GSL
is in alpha development. It now includes a random number suite, an FFT
package, simulated annealing and root finding. In the future, it will
include numerical and Monte Carlo integration and special functions.
Linking against the GSL allows programs to access functions which can
handle many of the problems encountered in scientific computing.

%description -l es
Esta es la biblioteca cientfica del GNU. Ofrece acceso a funciones
para manejar muchos problemas que aparecen en computacin cientfica.

%description -l pl
Pakiet gsl zawiera bibliotek funkcji przydatnych w pracy naukowej
dostpnych na licencji (GNU). GSL jest zbiorem funkcji napisanych
w jzyku C, przeznaczonych do analizy numerycznej. Biblioteka jest
jeszcze w bardzo wczesnym stadium tworzenia. W tej chwili zawiera
generatory liczb losowych, FFT, znajdowanie miejsc zerowych. W
przyszoci, bdzie zawiera cakowanie metod Monte Carlo oraz
funkcje specjalne. Konsolidacja z GSL pozwala programom na dostp do
funkcji, ktre mog by przydatne w rozwizywaniu wielu problemw
pojawiajcych si w obliczeniach naukowych.

%description -l pt_BR
Esta  a biblioteca cientfica do projeto GNU. Fornece acesso a
funes para tratar muitos problemas que surgem em computao
cientfica.

%description -l ru
   GNU.       ,
  ,    .

%description -l uk
  ¦̦ GNU.       æ, 
 '  ,    ˦.

%package devel
Summary:	Header files for developing programs using gsl
Summary(pl):	Pliki nagwkowe i dokumentacja do bibliotek gsl
Summary(pt_BR):	Ferramentas de desenvolvimento para a gsl
Summary(ru):	      GNU (GSL)
Summary(uk):	     ¦̦ GNU (GSL)
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Obsoletes:	libgsl0-devel

%description devel
Header files for developing programs using gsl.

%description devel -l pl
Pliki nagwkowe i dokumentacja do bibliotek gsl.

%description devel -l pt_BR
Arquivos de incluso, bibliotecas e documentao necessrio para
desenvolver aplicativos que utilizam a biblioteca gsl.

%description devel -l ru
 ,      
 GNU   .

%description devel -l uk
 ¦̦,   æ   ϧ
¦̦ GNU   .

%package static
Summary:	Static gsl librariries
Summary(pl):	Biblioteki statyczne gsl
Summary(pt_BR):	Bibliotecas estticas para desenvolvimento com gsl
Summary(ru):	       GNU (GSL)
Summary(uk):	Φ ¦̦     ¦̦ GNU (GSL)
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static gsl librariries.

%description static -l pl
Biblioteki statyczne gsl.

%description static -l pt_BR
Bibliotecas estticas para desenvolvimento com gsl.

%description static -l ru
       GNU 
 .

%description static -l uk
  ¦̦   ϧ ¦̦ GNU 
 .

%package progs
Summary:	gsl utility programs
Summary(pl):	Narzdzia dla gsl
Group:		Applications/Science
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description progs
gsl utility programs.

%description progs -l pl
Narzdzia dla gsl.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	m4datadir=%{_aclocaldir}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post devel
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%postun devel
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README THANKS TODO
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gsl-config
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/gsl
%{_aclocaldir}/gsl.m4
%{_pkgconfigdir}/*.pc
%{_infodir}/gsl*.info*
%{_mandir}/man1/gsl-config.1*
%{_mandir}/man3/*

%files progs
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gsl-histogram
%attr(755,root,root) %{_bindir}/gsl-randist
%{_mandir}/man1/gsl-histogram.1*
%{_mandir}/man1/gsl-randist.1*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gsl.spec,v $
Revision 1.63  2005/01/07 17:16:02  qboosh
- updated to 1.6

Revision 1.62  2004/12/20 18:58:08  qboosh
- BR: texinfo

Revision 1.61  2004/08/31 09:00:59  snurf
- typos / formatting / etc.

Revision 1.60  2004/07/03 21:33:43  qboosh
- updated to 1.5, removed obsolete am18 patch

Revision 1.59  2003/12/28 17:59:45  qboosh
- added am18 and link patches, updated URL, fixed -progs Group, release 2

Revision 1.58  2003/10/25 13:18:24  ankry
- pl cosmetics

Revision 1.57  2003/08/19 11:40:44  trojan
- updated to 1.4
- removet outdated patch

Revision 1.56  2003/06/27 13:10:45  mmazur
- mass commit; now req: name = epoch:version

Revision 1.55  2003/05/26 16:25:08  malekith
- massive attack: adding Source-md5

Revision 1.54  2003/05/25 05:48:27  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.53  2003/01/23 22:41:44  kloczek
- merge translations from KSI.

Revision 1.52  2003/01/23 20:20:15  qboosh
- up to 1.3, added acfix patch

Revision 1.51  2002/11/25 14:13:05  ankry
- massive attack: no need for 755 for *.la

Revision 1.50  2002/10/09 13:14:28  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.49  2002/08/10 16:36:05  qboosh
- added missing man pages to -progs
- release 2

Revision 1.48  2002/08/08 20:40:04  dobrek
- Upgraded to 1.2

Revision 1.47  2002/06/23 20:32:29  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.46  2002/05/21 23:13:30  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.45  2002/04/25 16:30:33  arturs
fixed a small typo

Revision 1.44  2002/03/25 08:00:30  kloczek
- release 2: libgsl0{,-devel} added to Obsoletes for allow upgrade from MDK.

Revision 1.43  2002/03/24 23:28:19  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.42  2002/03/20 21:22:24  qboosh
- Epoch=1 to allow upgrade from 20020221

Revision 1.41  2002/03/19 13:33:20  dobrek
- Upgraded to 1.1.1.
- Bugfixes mainly.
- The previous realese has most of them fixed but it was a cvs snapshot.
- STBR

Revision 1.40  2002/02/23 02:30:44  kloczek
- adapterized.

Revision 1.39  2002/02/22 23:29:00  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.38  2002/02/21 15:13:27  dobrek
-Upgraded to a today snapshot.
- gsl 1.1 is anyway not an official realase.
- Laguerre Polynomials does't worka as should in 1.0 and laters

Revision 1.37  2002/01/31 22:26:10  kloczek
- updated to 1.1 (bugfix release) and removed obsoleted am15 patch.

Revision 1.36  2002/01/18 02:13:11  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.35  2001/11/15 03:29:17  kloczek
- updated to 1.0,
- added am15 patch.

Revision 1.34  2001/09/20 05:31:54  kloczek
- updated to 0.9.3,
- removed obsoleted amfix patc,
- added pkgconfig file to devel %files list.

Revision 1.33  2001/09/17 12:20:34  qboosh
- removed English "es" translations

Revision 1.32  2001/09/08 23:40:12  qboosh
- release 2: amfix patch, run automake (fixes build)

Revision 1.31  2001/08/31 15:13:49  kloczek
- updated to 0.9.2,
- new URL and Source url.

Revision 1.30  2001/08/30 05:09:17  kloczek
- merge translations from CNV.

Revision 1.29  2001/08/19 22:52:35  kloczek
- updated to 0.9.1.

Revision 1.28  2001/08/13 14:59:08  kloczek
- updated to 0.9,
- added man pages to devel.

Revision 1.27  2001/08/12 17:37:20  blues
- Release 4
- ac 2.5 ready (buildrequires added)
- adapterized and pl translation added

Revision 1.26  2001/07/26 05:42:08  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.24  2001/05/18 20:46:21  kloczek
- release 3.

Revision 1.23  2000/11/16 08:05:23  kloczek
- updated to 0.7.

Revision 1.22  2000/11/12 20:11:55  kloczek
- modyfications for using neew rpm automation.

Revision 1.21  2000/07/12 23:15:34  kloczek
- release 3.

Revision 1.20  2000/07/07 13:20:38  klakier
- description pl fixed

Revision 1.19  2000/06/23 13:04:52  kloczek
- release 2.

Revision 1.18  2000/06/09 07:54:42  kloczek
- more %%{__make} macros.

Revision 1.17  2000/06/09 07:22:56  kloczek
- added using %%{__make} macro.

Revision 1.16  2000/06/07 08:20:25  kloczek
- fiew typos.

Revision 1.15  2000/06/07 07:43:32  kloczek
- completly rewrited spec using new automake suit,
- added static and progs subpackages.

Revision 1.14  2000/06/06 23:58:08  dobrek
updated to 0.6

Revision 1.13  2000/05/24 16:50:46  zagrodzki
- changed [ -x ... ] && to [ ! -x ... ] ||

Revision 1.12  2000/05/20 13:53:44  kloczek
- spec adapterized.

Revision 1.11  2000/05/01 20:11:41  zagrodzki
- removed Prereq: /usr/sbin/fix-info-dir
- fix-info-dir in %pre/post is executed only when info is already
  installed

Revision 1.10  2000/04/10 17:06:16  baggins
- more spelling fixes

Revision 1.9  2000/04/01 11:14:41  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.8  1999/12/23 11:19:26  cieciwa
- added gzipped *.info file,
- added gsl-ref.ps to %doc field,
- stripped binary file in %{_bindir}.

Revision 1.7  1999/12/23 10:31:23  cieciwa
- added documentation (gsl-ref.ps.gz) to %doc.

Revision 1.6  1999/12/23 10:28:10  cieciwa
- fixed error with two %postun

Revision 1.5  1999/12/23 10:22:13  cieciwa
- fixed typo.

Revision 1.4  1999/12/23 10:20:58  cieciwa
- version 0.5 release 1,
- changed Source: location,
- temporary removed old patch.

Revision 1.3  1999/09/24 10:45:02  pius
- moved running of /usr/sbin/fix-info-dir to %%postun
- release up

Revision 1.2  1999/09/19 09:41:26  pius
- new {un}registering procedure for info pages using /usr/sbin/fix-info-dir

Revision 1.1  1999/08/19 20:07:26  baggins
almost raw
